#pragma once

#include "Proxies.hpp"

namespace Proxies {

	class GenericProxy;

	class Process
		#if defined(_ARMOR)
			: public Stuff::Signature
		#endif
	{
	public:
		Process();
		Process(Stuff::NotationFile *data_file,bool bSuppress=true,void* fcn=NULL);

		Stuff::Scalar
			planeThicknessTolerance,		// per meter of polygon area edge length
			duplicateVertexTolerance,		// per square meter of polygon area
			colinearTolerance;				// minimum edge cross product length
		bool
			continueProcess;
		bool 
			suppress;
		void*
			errorfn;
		void
			TestInstance() const
				{}
	};
}
